Subject: Re: 1.0.0 : Installing Apache as a new Service = Win32 error 1062 (Windows XP Pro)
From: Stipe Tolj <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 27 Feb 2004 01:29:41 +0100

> According to this doc :
> 
> Installing Apache as a new Service
> Use the following statement to install httpd.exe as a new service:
> 
>   $ cygrunsrv -I service_name-p /usr/local/apache/bin/httpd.exe [-a
> arguments] \
>       [-e VAR=VALUE] [-t auto|manual] [-u user] [-w passwd] Where -a is
> used to pass command line arguments (such as -DFOO defines) to
> httpd.exe, and -e is used to pass environment variables. If necessary
> you may
> use the -t options to set the autostart configuration for the service.
> If you
> want the new service to run under a different userid, you will have to
> supply
> the -u and -w options.
> 
> When i start apache as this : /usr/sbin/httpd.exe
> apache is running ok
> 
> but when i install it as service with : cygrunsrv -I apache -p
> /usr/sbin/httpd.exe
> and i try to start the service with :
> $ cygrunsrv -S apache
> i get :
> cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error
> 1062: Le service n'a pas été démarré.
> 
> Then when i start is with Windows i get this :
> Erreur 1067 : le processus s'est arrêté inopinément
> (Error 1067 : the process sudenly stopped)
> 
> My windows XP session is running as the "Flo" user from
> "Administrateurs" group, so I updated the httpd.conf :
> User Flo
> Group Administrateurs
> 
> I also tried this :
> 
> Flo@florent ~/temp
> $ cygrunsrv -I apache -p /usr/sbin/httpd.exe -u Flo -w flo
> 
> Flo@florent ~/temp
> $ cygrunsrv -S apache
> cygrunsrv: Error starting a service: StartService:  Win32 error 1069:
> L'échec d'une ouverture de session a empêché le démarrage du service.
> 
> I think there is other thing to do but what ?

when invoking apache's httpd via cygrunsrv you will have to tell httpd
to not detach from the calling shell (which is in fact the cygrunsrv
process itself). Otherwise the "binding" gets loose.

Please check /usr/share/doc/Cygwin/apache* for a manual and section on
how to correctly install the httpd as service.

Stipe

mailto:[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf, NRW, Germany

phone: +49.211.74845.0
fax: +49.211.74845.299

mailto:[email-masked]
http://www.wapme-systems.de/
-------------------------------------------------------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/